
ctools - Bug #1251

binned sim() function output of obsutils.py doesn't work as input for cntmap()

07/08/2014 05:31 PM - Ohm Stefan

Status: Rejected Start date: 07/08/2014

Priority: Normal Due date:  

Assigned To: Ohm Stefan % Done: 0%

Category:  Estimated time: 3.00 hours

Target version: 3rd coding sprint   

Description

In obsutils.py, the sim() function returns a counts cube, whereas the cntmap() function expects an event list as input. A loop over that

counts cube results in very strange sky maps. For example, for a 50 energy bins, the resulting sky map is filled with entries of 0,50

and 100.

History

#1 - 07/08/2014 05:33 PM - Ohm Stefan

- Assigned To set to Ohm Stefan

- Target version set to 3rd coding sprint

- Estimated time changed from 1.00 to 3.00

#2 - 07/08/2014 05:55 PM - Ohm Stefan

- Status changed from New to Pull request

The branch to be merged is called "issue_1521"

#3 - 07/09/2014 11:02 PM - Knödlseder Jürgen

- Status changed from Pull request to Rejected

The proper change was to add the number of counts in an event to the skymap instead of a constant 1.0.
